%define fname sysfs
%define lib_name_orig lib%{fname}
%define lib_major 2
%define lib_name %mklibname %{fname} %{lib_major}
%define develname %mklibname %{fname} -d
%define staticdevelname %mklibname %{fname} -d -s

Name: 		sysfsutils
Version: 	2.1.0
Release: 	%mkrel 22
URL:		http://linux-diag.sourceforge.net/
Source0: 	http://prdownloads.sourceforge.net/linux-diag/%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		System/Kernel and hardware
Summary: 	Utility suite to enjoy sysfs
Patch2:		sysfsutils-2.1.0-srcdir-include.patch
Patch3:		sysfsutils-2.1.0-automake-1.13.patch

%description
This package's purpose is to provide a set of utilities for interfacing
with sysfs, a virtual filesystem in Linux kernel versions 2.5+ that
provides a tree of system devices. While a filesystem is a very useful
interface, we've decided to provide a stable programming interface
that will hopefully make it easier for applications to query system devices
and their attributes.

This package currently includes:

- libsysfs: a library for accessing system devices.
- systool: an application to view system device information by bus, class,
        and topology.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}. The libsysfs library enables to access system devices.

%package -n	%develname
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{lib_name_orig}%{lib_major}-devel = %{version}-%{release}
# for Turbolinux compatibility:
Provides:	sysfsutils-devel = %{version}-%{release}
Obsoletes:  %mklibname %{fname} 2 -d
Conflicts:	%{_lib}sysfs1-devel < 2.1.0

%description -n	%develname
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%staticdevelname
Summary:	Static library for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version} %develname = %{version} 
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Provides:	%{lib_name_orig}%{lib_major}-static-devel = %{version}-%{release}
Obsoletes:  %mklibname %{fname} 2 -d -s

%description -n	%staticdevelname
This package contains the static library that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q
%apply_patches
autoreconf -fi -Im4

%build
%configure2_5x --libdir=/%{_lib} --disable-static
%make

%install
%{makeinstall_std}

rm -f %{buildroot}/%{_lib}/*.la

# internal test utility, not useful in package
rm -f %{buildroot}%{_bindir}/dlist_test

install -d %{buildroot}%{_libdir}
#mv %{buildroot}/%{_lib}/*.{so,a} %{buildroot}%{_libdir}
#pushd %{buildroot}%{_libdir}
#ln -sf ../../%{_lib}/libsysfs.so.%{major}.* libsysfs.so
#popd

%files
%doc AUTHORS README NEWS 
%{_bindir}/systool
%{_bindir}/get_device
%{_bindir}/get_driver
%{_bindir}/get_module
%{_mandir}/man1/*

%files -n %{lib_name}
/%{_lib}/libsysfs.so.%{lib_major}*

%files -n %develname
%doc docs/libsysfs.txt
/%{_lib}/libsysfs.so
%{_includedir}/sysfs/libsysfs.h
%{_includedir}/sysfs/dlist.h


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 2.1.0-22.mga6
+ Revision: 958919
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 2.1.0-21.mga6
+ Revision: 867741
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-20.mga5
+ Revision: 741841
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-19.mga5
+ Revision: 689661
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 tv <tv> 2.1.0-18.mga5
+ Revision: 638037
- remove dietlibc & uclibc builds (no more uneeded by stage1)

* Fri Oct 18 2013 umeabot <umeabot> 2.1.0-17.mga4
+ Revision: 519465
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.1.0-16.mga3
+ Revision: 383939
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 2.1.0-15.mga3
+ Revision: 337919
- patch3: fix build with automake 1.13

* Fri Jun 01 2012 tv <tv> 2.1.0-14.1.mga3
+ Revision: 252921
- add dietlibc & uclibc builds

* Thu Jan 26 2012 fwang <fwang> 2.1.0-14.mga2
+ Revision: 201853
- drop correct .la file
- drop .la file

* Sat Dec 31 2011 blino <blino> 2.1.0-13.mga2
+ Revision: 189288
- do not package dlist_test (#3962)

* Sat Dec 31 2011 blino <blino> 2.1.0-12.mga2
+ Revision: 189283
- update description, use the one from README and drop lsbus mention
  since it has been removed (#3962)

* Wed Jan 12 2011 blino <blino> 2.1.0-11.mga1
+ Revision: 6699
- we are not part of Manbo
- remove old ldconfig scriptlets
- imported package sysfsutils


* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-10mnb2
+ Revision: 317612
- rebuild

* Tue Aug 05 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-9mnb2
+ Revision: 263683
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-8mnb1
+ Revision: 170657
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Fri Feb 08 2008 Pixel <pixel@mandriva.com> 2.1.0-8mdv2008.1
+ Revision: 163992
- add a provide sysfsutils-devel in libsysfs-devel (Turbolinux compatibility)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - improve description

* Sat Nov 17 2007 Olivier Blin <oblin@mandriva.com> 2.1.0-7mdv2008.1
+ Revision: 109630
- move library in /lib (required for pcmcia-socket-startup, #33452)

* Sun Sep 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.1.0-6mdv2008.0
+ Revision: 92400
- Add explicit conflicts with old sysfs devel package

* Tue Sep 18 2007 Frederic Crozat <fcrozat@mandriva.com> 2.1.0-5mdv2008.0
+ Revision: 89599
- Rebuild

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-4mdv2008.0
+ Revision: 44508
- new devel library policy
- prevent packaging wrong library major again

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.1.0-3mdv2008.0
+ Revision: 36202
- rebuild with correct optflags

* Tue Jun 05 2007 Funda Wang <fundawang@mandriva.org> 2.1.0-2mdv2008.0
+ Revision: 35722
- Provides lib_major for sysfsutils


* Thu Dec 14 2006 Emmanuel Andry <eandry@mandriva.org> 2.1.0-2mdv2007.0
+ Revision: 96863
- rebuild

* Wed Dec 13 2006 Emmanuel Andry <eandry@mandriva.org> 2.1.0-1mdv2007.1
+ Revision: 96525
- New version 2.1.0
- Import sysfsutils

* Mon Dec 26 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-4mdk
- reupload

* Tue Dec 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.0.0-3mdk
- fix upload

* Tue Dec 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.0.0-2mdk
- bump major

* Mon Dec 12 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.0.0-1mdk
- new release

* Sat Jun 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.0-1mdk
- new release

* Tue Jan 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-2mdk
- patch 0: fix segfault with vc classq

* Thu Nov 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.0-1mdk
- 1.2.0
- wipe out buildroot in %%install, not %%prep
- don't ship al documents with every subpackage

* Wed Jun 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.0-2mdk
- fix download url
- add project url

* Thu Apr 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.0-1mdk
- new release

* Thu Dec 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.0-1mdk
- new release
- remove uneeded patch 0

